

declare module Model {
	
	interface User  {
		FirstName: string;
		LastName: string;
		Email: string;
		Phone: string;
		Source: string;
		SourceType: Rogal.Contracts.Models.SourceTypeEnum;
		AdDn: string;
		AdGuid: string;
		AdLogon: string;
		AdUpn: string;
		AdLastLogon: Date;
		UserDevices: Model.Device[];
		UserApplications: Model.Application[];
		Notes: string;
	}

}

declare module Rogal.Contracts.Models {
	enum SourceTypeEnum {
		AD = 0,
		SCCM = 1,
		UserProvided = 2
	}
}


